import { ReactNode } from 'react';
/**
 * ModalWrapper
 * @param label - Label of the caller button
 * @param isOpen - Is the modal open?
 * @param onClose - Function to close the modal
 * @param children - Children of the modal
 * @constructor
 * @returns {JSX.Element}
 *
 */
type Props = {
    label: string;
    isOpen: boolean;
    onClose: () => void;
    children: ReactNode;
};
/**
 *
 * @param label - Label of the caller button
 * @param isOpen - Is the modal open?
 * @param onClose - Function to close the modal
 * @param children - Children of the modal
 *
 * @returns Modal window based on the label from props
 */
declare const ModalWrapper: ({ label, isOpen, onClose, children }: Props) => JSX.Element;
export default ModalWrapper;
